Subject: Re: [PATCH v2 2/2] scripts: Add `guix git authenticate --branch`.

From: 45mg <[email-masked]>
Date: Tue, 25 Feb 2025 06:45:12 +0000

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 24.02.2025 um 12:45 +0000 schrieb 45mg:

> Uhm… if I read this correctly, this is still a patch in progress and
> not *that* widely used, no?  Is there prior art to go by?
>

Sorry if it wasn't clear - guix.authentication-BRANCH is already
supported /in upstream Guix/, and has been since long before I started
work on v1.

Here's the bit from "(guix) Invoking guix git authenticate" that I
quoted in the cover letter:

> Should you have branches that require different introductions, you
> can specify them directly in ‘.git/config’.  For example, if the branch
> called ‘personal-fork’ has a different introduction than other branches,
> you can extend ‘.git/config’ along these lines:
>
> [guix "authentication-personal-fork"]
> introduction-commit = cabba936fd807b096b48283debdcddccfea3900d
> introduction-signer = C0FF EECA BBA9 E6A8 0D1D  E643 A2A0 6DF2 A33A 54FA
> keyring = keyring